%define vocal	e
%define number	0.5.4

Name:		retroshare
Version:	%{number}%{vocal}
Release:	%mkrel 2
Summary:	Private and secure decentralized communication platform
License:	GPLv2
Group:		Networking/Other
Source0:	http://sourceforge.net/projects/retroshare/files/RetroShare/%{version}/RetroShare-v%{version}.tar.gz
Source1:	retroshare24.png
Source2:	retroshare48.png
Source3:	retroshare64.png
Source4:	retroshare.desktop
Source5:	retroshare.xpm
URL:		http://retroshare.sourceforge.net/
BuildRequires:	qt4-devel
BuildRequires:	gpgme-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	libssh-devel
BuildRequires:	protobuf-devel
Requires:	openssl
Requires:	libqtmultimediakit1

%description
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%prep
%setup -q -n %{name}-%{number}

%build
cd src
cd libbitdht/src
%qmake_qt4
make
cd ../../openpgpsdk/src
%qmake_qt4
make
cd ../../libretroshare/src
%qmake_qt4
make
cd ../..//retroshare-gui/src
%qmake_qt4
make

%install
%find_lang %{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/retroshare/
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -m 755 src/retroshare-gui/src/RetroShare %{buildroot}%{_bindir}
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/

%files -f %{name}.lang
%{_bindir}/RetroShare
%{_datadir}/icons/hicolor/24x24/apps/retroshare24.png
%{_datadir}/icons/hicolor/48x48/apps/retroshare48.png
%{_datadir}/icons/hicolor/64x64/apps/retroshare64.png
%{_datadir}/applications/retroshare.desktop
%{_datadir}/pixmaps/retroshare.xpm


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.4e-2.mga4
+ Revision: 533832
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 filipesaraiva <filipesaraiva> 0.5.4e-1.mga4
+ Revision: 475554
- Added scrnsaver to BuildRequires
-Changes in SPEC to test 0.5.4e compilation
- Updated to 0.5.4e version
- Added patch to compile in x86_64 arch;
- Minor changes in spec

  + dtux <dtux>
    - new version 0.5.4a
    - clean spec
    - remove useless static library
    - fix build
    - Modified spec file due to renaming patch files.
    - Renaming patch files for mageia naming compliance.
    - Update to version 0.5.3c
    - Fixed BuildRequires
    - Modifying spec file for confprmity with mageia rules
    - imported package retroshare

